curl --request GET \
--url https://api.prod.finverse.net/mandates/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/mandates/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/mandates/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mandates": [
{
"created_at": "2025-06-21T06:30:22.964Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-62F2-FINV",
"description": "Test Mandate",
"end_date": "2025-12-01",
"mandate_bank_reference": "01JY8JWMAV62AVC00FP2EC6509",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_period_amount": 10000,
"max_period_count": 10,
"max_transaction_amount": 10000,
"period": "MONTHLY"
}
},
"mandate_id": "01JY8JWDY51SYHP006XZBAMVGN",
"metadata": {
"employer_name": "Apple Inc",
"key": "value"
},
"payment_method_id": "01JY8JWE50618D9RGH44AR884F",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1_1750487415",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8JWE3NG8CJ7DVJZJC3HMJT",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8JWKX2HSZJ500DNEJ3JGHQ",
"account_number": {
"number": "01JY8JWM06NV1VNCPM6D5JJ9Y9",
"number_plaintext": "12345",
"type": "LOCAL"
},
"account_number_masked": "XXX45",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8JWKZRZ32FFE4G0FPM19H1",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8JWE3NG8CJ7DVJZJC3HMJT"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T06:30:22.964Z"
},
{
"created_at": "2025-06-21T05:58:18.257Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-R885-FINV",
"description": "Payment link mandate",
"mandate_bank_reference": "01JY8H1X2H8FSQHV5DPPBAXTD8",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_transaction_amount": 500000
}
},
"mandate_id": "01JY8H1ATJXEZGV3EDCK0MWY6Z",
"payment_method_id": "01JY8H1AX3TRC1TBHMB45WASEH",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1750485452",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8H0J30ZBW17EG37128HRPN",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8H1W0C66V5F8NJW9CG62PF",
"account_number": {
"number": "01JY8H1W6XJETFS21BEPV0BGEC",
"number_plaintext": "434949449",
"type": "LOCAL"
},
"account_number_masked": "434XXXX49",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8H1W5T5FGB22TZCDBGDM33",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8H0J30ZBW17EG37128HRPN"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T05:58:18.257Z"
},
{
"created_at": "2025-06-21T05:35:23.088Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-8F52-FINV",
"description": "Payment link mandate",
"mandate_bank_reference": "01JY8FQX8ZAENPWSRG87961DXC",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_transaction_amount": 500000
}
},
"mandate_id": "01JY8FQHTEX7FAJMM4SGK4GRSZ",
"payment_method_id": "01JY8FQHXCZXWYN2EG383YAGR2",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1750484076",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8FPJ0XFTEBPH5VHF379XF3",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8FQWS1D4ZX8PJJS9ZY6B58",
"account_number": {
"number": "01JY8FQWYTG44WF6RECHN6M09F",
"number_plaintext": "300030303",
"type": "LOCAL"
},
"account_number_masked": "300XXXX03",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8FQWXZN9CFXFKPPKEHTE2M",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8FPJ0XFTEBPH5VHF379XF3"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T05:35:23.088Z"
},
{
"created_at": "2025-06-21T04:31:20.442Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-2X6K-FINV",
"description": "Test Mandate",
"end_date": "2025-12-01",
"mandate_bank_reference": "01JY8C2N74X3E4Y2A5YT030KCD",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_period_amount": 10000,
"max_period_count": 10,
"max_transaction_amount": 10000,
"period": "MONTHLY"
}
},
"mandate_id": "01JY8C0V23FPKZXH1YAHC9JBD5",
"metadata": {
"employer_name": "Apple Inc",
"key": "value"
},
"payment_method_id": "01JY8C0V652P775DQG7DXH9HNR",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1_1750480219",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8C0V4VMZRC8YM399JF84BP",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8C2MR456G4EXKVZHB45WPR",
"account_number": {
"number": "01JY8C2MWT0M5NXR1V7FW8ZJEG",
"number_plaintext": "12345",
"type": "LOCAL"
},
"account_number_masked": "XXX45",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8C2MW9WT09SK3AA0928518",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8C0V4VMZRC8YM399JF84BP"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T04:31:20.442Z"
},
{
"created_at": "2025-06-21T04:22:58.369Z",
"fees": [],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "SGD",
"dda_reference": "DDA-1234567890",
"description": "Paper eGIRO Mandate",
"processor_entity_name": "Finverse Technologies Limited",
"transaction_limits": {
"max_period_amount": 100000000,
"max_period_count": 100000,
"max_transaction_amount": 100000000,
"period": "MONTHLY"
}
},
"mandate_id": "01JY8BKCGV63S66V3VDSTXF29D",
"payment_method_id": "01JY8BKCGV63S66V3VDS3G6NX3",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1750479613",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8BECD0ARSWMA0YX0DRY57A",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8BF0GD7H9WWSD892FP5FJT",
"account_number": {
"number": "01JY8BF0Q7VGR0H60M00ZG4HXZ",
"number_plaintext": "030404404004",
"type": "LOCAL"
},
"account_number_masked": "030XXXXX4004",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8BF0MPCWYC25B4AFJNGGSQ",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8BECD0ARSWMA0YX0DRY57A"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T04:22:58.369Z"
},
{
"created_at": "2025-06-21T04:20:38.049Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-8M2Z-FINV",
"description": "Payment link mandate",
"mandate_bank_reference": "01JY8BF14GNY1N0TBA5H168X0E",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_transaction_amount": 500000
}
},
"mandate_id": "01JY8BEMF3AGBQ7C9CJWTV2W4X",
"payment_method_id": "01JY8BEMJZQQWGFTCKNSJGB0BD",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1750479613",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8BECD0ARSWMA0YX0DRY57A",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8BF0GD7H9WWSD892FP5FJT",
"account_number": {
"number": "01JY8BF0Q7VGR0H60M00ZG4HXZ",
"number_plaintext": "030404404004",
"type": "LOCAL"
},
"account_number_masked": "030XXXXX4004",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8BF0MPCWYC25B4AFJNGGSQ",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8BECD0ARSWMA0YX0DRY57A"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T04:20:38.049Z"
},
{
"created_at": "2025-06-21T04:15:07.903Z",
"fees": [
{
"amount": 0,
"currency": "HKD",
"paid_by": "RECIPIENT",
"paid_by_account_id": "01JY8AKPBC32AZ5TPD99R27JZP"
}
],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"dda_reference": "FINVERSE T-0KMR-FINV",
"description": "Payment link mandate",
"mandate_bank_reference": "01JY8B4YT7GHP4625QEJNFN5DV",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2025-06-21",
"transaction_limits": {
"max_transaction_amount": 500000
}
},
"mandate_id": "01JY8B4MK6T0KFYPV028FRW1YS",
"payment_method_id": "01JY8B4MPYMWNJ7XT603HV2SZ8",
"recipient": {
"name": "Finverse Test"
},
"recipient_account": {
"account_id": "01JY8AKPBC32AZ5TPD99R27JZP",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1750479256",
"name": "John Doe",
"user_details": [],
"user_id": "01JY8B3FK244XNJCZV2J2PBRMN",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JY8B4XY0N1AVRR88WWHC7NK2",
"account_number": {
"number": "01JY8B4Y2W8GJGVV1G6ZZNAPE9",
"number_plaintext": "404040404040",
"type": "LOCAL"
},
"account_number_masked": "404XXXXX4040",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JY8B4Y1HQFKHXKG2RGA0CZZ3",
"accountholder_name_plaintext": "John Doe",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JY8B3FK244XNJCZV2J2PBRMN"
},
"status": "SUCCEEDED",
"updated_at": "2025-06-21T04:15:07.903Z"
}
],
"total_mandates": 7
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"code": 401,
"error": {
"code": "NOT_AUTHORIZED",
"details": "Invalid bearer token",
"error_code": "NOT_AUTHORIZED",
"message": "Authorization failed. Please review authorization requirements in API documentation.",
"request_id": "1712547129",
"type": "API_ERROR"
},
"message": "Invalid bearer token"
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}List Mandates including plaintext sensitive account data
List Mandates associated with a Customer App, including sensitive account details of the Sender Account (such as plaintext account number and accountholder name).
Access: This flow is available on demand for Finverse customers who need to retrieve sensitive account details on each sender account (e.g. for KYC or adhoc payment purposes). Contact [email protected] to request access.
Authorization: customer_token
URL query parameters
Same as GET /mandates.
Response fields
Same as GET /mandates except for the mandates.sender_account object.
sender_account (object)
Same as GET /payment_accounts except for the following fields:
account_number (object)
Bank account number details, including account number in plaintext.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
ISO format (YYYY-MM-DD)
ISO format (YYYY-MM-DD)
The mandate statuses to filter for, comma separated
AUTHORIZATION_REQUIRED, AUTHORIZING, PROCESSING, SUBMITTED, SUCCEEDED, FAILED, REVOKED, READY_TO_SUBMIT, CLOSED, CANCELLED The sender type of the mandate
INDIVIDUAL, BUSINESS The user_id the mandate was setup for
The institution the mandate was executed against
default is 0
default is 500, max is 1000
1 <= x <= 1000Response
Successful
Total number of Mandate records available for the selected filtering criteria (can be used to inform pagination requests)
List of Mandate objects that satisfy the filters in the request. Refer to Mandate object data model in GET /mandates/{mandate_id}
Show child attributes
Show child attributes